/*
 *  MMSFaceDetectionProtocol.h
 *  MMSBase
 *
 *  Created by John Fox on 1/17/09.
 *  Copyright 2009 GroupSmarts, LLC. All rights reserved.
 *
 */

@protocol MMSFaceDetectionProtocol <NSObject>

//
// This protocol defines a common set of methods for face detection.
//

+ (id <MMSFaceDetectionProtocol>)sharedController;

- (NSArray *)detectFacesFromNSImage:(NSImage *)anImage;
- (NSArray *)detectFacesForImageAtPath:(NSString *)aPath;


@end
