//
//  MMSExportPluginController.h
//  MMSBase
//
//  Created by John Fox on 12/13/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MMSExportPluginController : NSObject 
{
    IBOutlet NSButton *exportConversionCheckBox;
    IBOutlet NSPanel *exportConfigPanel;
    IBOutlet NSPanel *exportProgressPanel;
    IBOutlet NSProgressIndicator *exportProgressBar;
    IBOutlet NSTextField *exportProgressMessage;
    IBOutlet NSForm *exportScalingForm;
    IBOutlet NSImageView *exportThumbnailImageView;
    IBOutlet NSButton *exportSelectedOnlyCheckBox;

    NSArray *displayedPhotos;
    NSArray *selectedPhotos;
    NSArray *exportObjectsArray;
}

//
// Action methods
//
//- (void)showExportConfigPanelOnWindow:(NSWindow *)aWindow;
- (IBAction)closeExportProgressPanel:(id)sender;

// 
// Accessors
//

- (NSArray *)displayedPhotos;
- (void)setDisplayedPhotos:(NSArray *)value;

- (NSArray *)exportObjectsArray;
- (void)setExportObjectsArray:(NSArray *)anExportObjectsArray;

- (NSArray *)selectedPhotos;
- (void)setSelectedPhotos:(NSArray *)value;

@end
