// MMSPluginProtocol.h
//
// Author: annard
// Date: Fri 28-May-1999
// CVS Info: $Id: MMSPluginProtocol.h,v 1.2 2006/04/23 22:19:17 john Exp $ 
//
// Copyright (c) 2006 GroupSmarts, LLC. All rights reserved.

#import <Foundation/Foundation.h>

@protocol MMSPluginProtocol
//
// This protocol has to be implemented by the principal class of the
// plugin. It contains a method to activate the functionality of the
// plugin.
//

+ (void)activate;
// This method should be used to activate the functionality of the plugin
// instead of +initialize.

@end
