//
//  MMSProxyObject.h
//  MemoryMiner
//
//  Created by John Fox on 5/14/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class MMSPersistentObject;

@interface MMSProxyObject : NSObject {
    NSString *proxyClassName;
    id objectOrRawRow;
	NSInteger hash_;
}

//
// Creation
//
+ (MMSProxyObject *)proxyWithObject:(id)anObject 
                      forClassNamed:(NSString *)aClassName;

+ (NSArray *)proxyObjectsFromObjectArray:(NSArray *)anObjectArray
                           forClassNamed:(NSString *)aClassName;

- (void)createHash;
//
// Conveniences
//
- (id)object;
- (BOOL)isRawRow;

//
// Accessors
//
- (NSString *)proxyClassName;
- (void)setProxyClassName:(NSString *)aProxyClassName;

- (id)objectOrRawRow;
- (void)setObjectOrRawRow:(id)anObjectOrRawRow;

@end

