//
//  NSArray_Catetories.h
//  MemoryMiner
//
//  Created by John Fox on 9/1/04.
//  Copyright 2004 MemoryMiner Software. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSArray (GSCategories) 

- (NSArray *)nonNullValuesForKey:(NSString *)aKey;

- (NSArray *)arrayOfContentKeys:(NSString *)key;

- (NSArray *)arrayOfUniqueContentKeys:(NSString *)key;

- (NSArray *)arrayOfContentKeys:(NSString *)key
                       isUnique:(BOOL)isUnique;

- (NSArray *)arrayOfContentKeys:(NSString *)key
                       isUnique:(BOOL)isUnique
					   skipNull:(BOOL)skipNull;
@end
